function confirmAction(msg)
{
	return confirm(msg);
}

function confirmNavigateFunc(msg, label)
{
    if (confirmAction(msg))
    {
		document.forms[0].elements["ACTION"].value = label;
		document.forms[0].elements["ACTION"].click();
	}
}

function navigateFunc(label)
{
    document.forms[0].elements["ACTION"].value = label;
    document.forms[0].elements["ACTION"].click();
}

function hideActionControl()
{
    document.getElementById("ACTION").style.display="none";
}

function allowIntegerPositiveNumbers(){
  $(".integerPositive").attr('type','NUMBER');
  $(".integerPositive").keypress(function(evt){
  var charCode = (evt.which) ? evt.which : evt.keyCode;
    if (charCode > 31 && (charCode < 48 || charCode > 57))
        return false;
    return true;
  });
}

function allowIntegerNumbers(){
  $(".integer").attr('type','NUMBER');
  $(".integer").keypress(function(evt){
  var charCode = (evt.which) ? evt.which : evt.keyCode;
  if (charCode > 31 && (charCode < 48 || charCode > 57) && (charCode != 45 || (charCode==45 && $(evt.target).val().length > 0)))
      return false;
   return true;
  });
}

function allowAlphaCharacters() {
  $(".alpha").keypress(function(evt){
  var charCode = (evt.which) ? evt.which : evt.keyCode;
  if (charCode > 31 && (charCode < 65 || charCode > 90) &&
    (charCode < 97 || charCode > 122))
        return false;
        return true;
  });
}

function allowRealPositiveNumbers(){
  //$(".realPositive").attr('type','NUMBER');
  $(".realPositive").keypress(function(evt){
  var charCode = (evt.which) ? evt.which : evt.keyCode;
  if (charCode > 31
      && (charCode < 48 || charCode > 57)
      && (charCode != 46 || (charCode==46 && $(evt.target).val().indexOf('.') > 0)))
          return false;

   return true;
  });
}

function allowRealNumbers(){
   //$(".real").attr('type','NUMBER');
   $(".real").keypress(function(evt){
  var charCode = (evt.which) ? evt.which : evt.keyCode;
  if (charCode > 31
      && (charCode < 48 || charCode > 57)
      && (charCode != 45 || (charCode==45 && $(evt.target).val().length > 0))
      && (charCode != 46 || (charCode==46 && $(evt.target).val().indexOf('.') > 0)))
          return false;

   return true;
  });
}

function FillAutoCompleteOptions(){
   var opts = $('#IWEMPLOYEE option');
   var values = $.map(opts, function(e){
      return (e.text);
   });

  $( "#IWEMPLOYEEEDIT" ).autocomplete({
      source: values
    });

  if (values.length==1){
    $( "#IWEMPLOYEEEDIT" ).val(values[0]);
  }

  $('#RGNEMPLOYEE').addClass("ui-widget");
}

function FillAutoCompleteForJobs(){
  var opts = $('#JOBCB option');
  var values = $.map(opts, function(e){
    return (e.text);
  });

  $( "#IWJOBEDIT" ).autocomplete({
    source: values
  });

  // $( "#IWJOBEDIT" ).autocomplete({
  //   minLength: 3
  // });
   
  if (values.length==1){
    $( "#IWJOBEDIT" ).val(values[0]);
  }
}

function FixMultipleSelectIphone(){
  // hack for iPhone 7.0.3 multiselects bug
    if(navigator.userAgent.match(/iPhone/i)) {
        $('select[multiple]').each(function(){
            var select = $(this).on({
                "focusout": function(){
                    var values = select.val() || [];
                    setTimeout(function(){
                        select.val(values.length ? values : ['']).change();
                    }, 1000);
                }
            });
            var firstOption = '<option value="" disabled="disabled"';
            firstOption += (select.val() || []).length > 0 ? '' : ' selected="selected"';
            firstOption += '>&laquo; Select ' + (select.attr('title') || 'Options') + ' &raquo;';
            firstOption += '</option>';
            select.prepend(firstOption);
        });
    }
}

//Selects the field when enter
function HoursSelectText(){
  $(".selectText").click(function(e){
    this.select();
  });
}

function ClearEmployeeText(){
  $( "#IWEMPLOYEEEDIT" ).val('');
}

$(document).ready(function()
{
   hideActionControl();
   allowIntegerPositiveNumbers();
   allowIntegerNumbers();
   allowAlphaCharacters();
   allowRealPositiveNumbers();
   allowRealNumbers();
   HoursSelectText();

   $('.timepicker').wickedpicker({time:'XXX'});

   if ($('#IWEMPLOYEEEDIT').length){
    FillAutoCompleteOptions();
   }
   
   if($('#IWJOBEDIT').length){
    FillAutoCompleteForJobs();
   }
   FixMultipleSelectIphone();
});